LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTreeDataModelListener Interface Reference

An instance of this interface is used by the TreeControl to get notifications about data model changes. More...

`import"XTreeDataModelListener.idl";`

Inheritance diagram for XTreeDataModelListener:

## Public Member Functions
void | treeNodesChanged ([in] TreeDataModelEvent Event)
| Invoked after a node (or a set of siblings) has changed in some way. More...
void | treeNodesInserted ([in] TreeDataModelEvent Event)
| Invoked after nodes have been inserted into the tree. More...
void | treeNodesRemoved ([in] TreeDataModelEvent Event)
| Invoked after nodes have been removed from the tree. More...
void | treeStructureChanged ([in] TreeDataModelEvent Event)
| Invoked after the tree has drastically changed structure from a given node down. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An instance of this interface is used by the TreeControl to get notifications about data model changes.

Usually you must not implement this interface yourself as it is already handled by the TreeControl, but you must notify it correctly if you implement the XTreeDataModel yourself

.

## Member Function Documentation

## ◆ treeNodesChanged()

void treeNodesChanged | ( | [in] TreeDataModelEvent | Event | ) |

Invoked after a node (or a set of siblings) has changed in some way.

The node(s) have not changed locations in the tree or altered their children arrays, but other attributes have changed and may affect presentation.

Example: the name of a file has changed, but it is in the same location in the file system.

To indicate the root has changed, TreeDataModelEvent::Nodes will contain the root node and TreeDataModelEvent::ParentNode will be empty.

## ◆ treeNodesInserted()

void treeNodesInserted | ( | [in] TreeDataModelEvent | Event | ) |

Invoked after nodes have been inserted into the tree.

Use TreeDataModelEvent::ParentNode to get the parent of the new node(s). TreeDataModelEvent::Nodes contains the new node(s).

## ◆ treeNodesRemoved()

void treeNodesRemoved | ( | [in] TreeDataModelEvent | Event | ) |

Invoked after nodes have been removed from the tree.

Note that if a subtree is removed from the tree, this method may only be invoked once for the root of the removed subtree, not once for each individual set of siblings removed.

Use TreeDataModelEvent::ParentNode to get the former parent of the deleted node(s). TreeDataModelEvent::Nodes contains the removed node(s).

## ◆ treeStructureChanged()

void treeStructureChanged | ( | [in] TreeDataModelEvent | Event | ) |

Invoked after the tree has drastically changed structure from a given node down.

Use TreeDataModelEvent::ParentNode to get the node which structure has changed. TreeDataModelEvent::Nodes is empty.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tree/XTreeDataModelListener.idl